package com.ruoyi.project.business.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.project.business.domain.TpAreaOptionalPara;
import com.ruoyi.project.business.mapper.TpAreaOptionalParaMapper;
import com.ruoyi.project.business.service.ITpAreaOptionalParaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-05-28
 */
@Service
public class TpAreaOptionalParaServiceImpl implements ITpAreaOptionalParaService
{
    @Autowired
    private TpAreaOptionalParaMapper tpAreaOptionalParaMapper;

    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public TpAreaOptionalPara selectTpAreaOptionalParaById(Long id)
    {
        return tpAreaOptionalParaMapper.selectTpAreaOptionalParaById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param tpAreaOptionalPara 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<TpAreaOptionalPara> selectTpAreaOptionalParaList(TpAreaOptionalPara tpAreaOptionalPara)
    {
        return tpAreaOptionalParaMapper.selectTpAreaOptionalParaList(tpAreaOptionalPara);
    }

    /**
     * 新增【请填写功能名称】
     * 
     * @param tpAreaOptionalPara 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertTpAreaOptionalPara(TpAreaOptionalPara tpAreaOptionalPara)
    {
        tpAreaOptionalPara.setCreateTime(DateUtils.getNowDate());
        return tpAreaOptionalParaMapper.insertTpAreaOptionalPara(tpAreaOptionalPara);
    }

    /**
     * 修改【请填写功能名称】
     * 
     * @param tpAreaOptionalPara 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateTpAreaOptionalPara(TpAreaOptionalPara tpAreaOptionalPara)
    {
        tpAreaOptionalPara.setUpdateTime(DateUtils.getNowDate());
        return tpAreaOptionalParaMapper.updateTpAreaOptionalPara(tpAreaOptionalPara);
    }

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteTpAreaOptionalParaByIds(Long[] ids)
    {
        return tpAreaOptionalParaMapper.deleteTpAreaOptionalParaByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteTpAreaOptionalParaById(Long id)
    {
        return tpAreaOptionalParaMapper.deleteTpAreaOptionalParaById(id);
    }
}
